using Server;
using System;

namespace Server.Items
{
	[FlipableAttribute( 0xE97, 0xE98 )]
	public class BookOfLore : Item
	{
		[Constructable]
		public BookOfLore() : base( 0xE97 )
		{
			Name = "Book of Lore";
			Hue = Utility.RandomList( 0x558, 0x8A1, 0x89F, 0x84E, 0x851, 0x556, 0x551, 0x8AD, 0x847, 0x84A, 0x89D, 0x89B, 0x845, 0x846, 0x429, 0x55F, 0x562, 0x430, 0x432, 0x441, 0x970, 0x96D, 0x905, 0x83B, 0x83E, 0x980, 0x97F, 0x969, 0x96A, 0x96B );
			Movable = false;
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( !from.InRange( this.GetWorldLocation(), 2 ) )
				from.SendMessage( "That is too far away!" );
			else if ( !Server.Misc.QuestFunctions.MonstersNearby( from ) )
				from.SendMessage( "You learn nothing of interest from this book." );
		}

		public BookOfLore( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( ( int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}